# Deprecated API

## Contents

- Methods
- Constructors

- Methods
  Method | Description
  --- | ---
  uk.ac.starlink.fits.AbstractArrayDataIO.readLine() | see `DataInputStream.readLine()`

- Constructors
  Constructor | Description
  --- | ---
  uk.ac.starlink.fits.ColFitsTableWriter​(String, WideFits) | allows some configuration options but not others; use no-arg constructor and configuration methods instead
  uk.ac.starlink.fits.FitsTableWriter​(String, boolean, WideFits) | allows some configuration options but not others; use no-arg constructor and configuration methods instead
  uk.ac.starlink.fits.HduFitsTableWriter​(String, boolean, WideFits) | allows some configuration options but not others; use no-arg constructor and configuration methods instead
  uk.ac.starlink.fits.VariableFitsTableWriter​(Boolean, boolean, WideFits) | allows some configuration options but not others; use no-arg constructor and configuration methods instead